<?php
/*
Author: RAJA CRN
URL: ThemePacific.com
*/
/*===================================================================================*/
/*  Load ThemePacific FrameWork Assets
/*==================================================================================*/
 		include_once (TEMPLATEPATH.'/admin/index.php');
 /*===================================================================================*/
/* Theme Support
/*==================================================================================*/

/*-- Post thumbnail + Menu Support + Formats  --*/
function madura_themepacific_theme_support_image() 
{
 		add_theme_support('post-thumbnails' );
  		add_image_size('tpcrn-posts-new', 340, 220,true);		
 		add_image_size('sb-post-thumbnail', 120, 80,true);
 		add_theme_support( 'automatic-feed-links' );
		load_theme_textdomain( 'madura', get_template_directory() . '/languages' );
		register_nav_menus(
			array(
				'topNav' => __( 'Top Menu','madura' ),
				'catNav' => __('Cat Menu','madura' ),
			)		
		);
	}
add_action( 'after_setup_theme', 'madura_themepacific_theme_support_image' );

/*===================================================================================*/
/* Functions
/*==================================================================================*/

/*-- Load Custom Theme Scripts using Enqueue --*/
function madura_themepacific_scripts_method() {
	if ( !is_admin() ) {
   
        wp_enqueue_style('style', get_stylesheet_uri());
  		//Styles
 		wp_enqueue_style('flexslider', get_stylesheet_directory_uri().'/css/flexslider.css');
		wp_enqueue_style('skeleton', get_stylesheet_directory_uri().'/css/skeleton.css');
 
		//scripts
  		wp_register_script('flexslider', get_template_directory_uri(). '/js/jquery.flexslider-min.js',array('jquery'), '2.0',true); 
 		wp_register_script('themepacific.script', get_template_directory_uri(). '/js/tpcrn_scripts.js', array('jquery'), '1.0', true);
 		wp_enqueue_script('jquery');
    		wp_enqueue_script('jquery-ui-widget');
  		wp_enqueue_script('flexslider');
 		wp_enqueue_script('themepacific.script');
  		if( is_singular() && comments_open() && get_option( 'thread_comments' ) ){
		wp_enqueue_script( 'comment-reply' );
		}
 	}
 }
 
 
/** Register sidebars **/
 
function madura_themepacific_widgets_init(){
 
	register_sidebar(array(
		'name' => 'Default Sidebar',
		'id' => 'Default Sidebar',
		'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-head">',
		'after_title' => '</h3>',
	));
 
	register_sidebar(array(
		'name' => 'Footer Block 1',
		'id' => 'Footer Block 1',
		'before_widget' => '<div id="%1$s" class="%2$s widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title fix">',
		'after_title' => '</h3>',
	));
	
	register_sidebar(array(
		'name' => 'Footer Block 2',
		'id' => 'Footer Block 2',
		'before_widget' => '<div id="%1$s" class="%2$s widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title fix">',
		'after_title' => '</h3>',
	));
	
	register_sidebar(array(
		'name' => 'Footer Block 3',
		'id' => 'Footer Block 3',
		'before_widget' => '<div id="%1$s" class="%2$s widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title fix">',
		'after_title' => '</h3>',
	));
	register_sidebar(array(
		'name' => 'Footer Block 4',
		'id' => 'Footer Block 4',
		'before_widget' => '<div id="%1$s" class="%2$s widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title fix">',
		'after_title' => '</h3>',
	));
 
}
add_action( 'widgets_init', 'madura_themepacific_widgets_init' );
  
if (!isset( $content_width )) $content_width = 600;

// kill all extra feed links in the head
remove_action('wp_head','feed_links_extra', 3);
 
/*-- Allow widget to support shortcode--*/
add_filter('widget_text', 'do_shortcode');
 /*-- Multiple Page Nav tweak --*/		
add_filter('wp_link_pages_args','single_split_page_links'); 
/*-- Register and enqueue  javascripts--*/
add_action('wp_enqueue_scripts', 'madura_themepacific_scripts_method');
 /**
 * Filters wp_title to print a neat <title> tag based on what is being viewed.
 */
function madura_themepacific_wp_title( $title, $sep ) {
	global $page, $paged;

	if ( is_feed() )
		return $title;

	// Add the blog name
	$title .= get_bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title .= " $sep $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		$title .= " $sep " . sprintf( __( 'Page %s', 'tpcrn' ), max( $paged, $page ) );

	return $title;
}
add_filter( 'wp_title', 'madura_themepacific_wp_title', 10, 2 );
 
/*-- Pagination --*/

function madura_themepacific_pagination() {
	
		global $wp_query;
		$big = 999999999;
		echo paginate_links( array(
			'base' => str_replace( $big, '%#%', get_pagenum_link( $big ) ),
			'format' => '?paged=%#%',
			'prev_next'    => false,
			'prev_text'    => __('<i class="icon-double-angle-left"></i>'),
	        'next_text'    => __('<i class="icon-double-angle-right"></i>'),
			'current' => max( 1, get_query_var('paged') ),
			'total' => $wp_query->max_num_pages )
		);
	}
 
 
/*-- Custom View Article link to Post--*/
function madura_themepacific_view_article($more) {
	 global $post;
		//return ' ... <a class="view-article" href="'. get_permalink($post->ID) . '">' . 'Read More &rarr;' . '</a>';
		return ' ... ';
	}
	
/*--- Create the Custom Excerpts callback---*/
function madura_themepacific_excerpt($length_callback='', $more_callback='') {
	    global $post;
	    if(function_exists($length_callback)){
	        add_filter('excerpt_length', $length_callback);
	    }
	    if(function_exists($more_callback)){
	        add_filter('excerpt_more', $more_callback);
	    }
	    $output = get_the_excerpt();
	    $output = apply_filters('wptexturize', $output);
	    $output = apply_filters('convert_chars', $output);
	    $output = '<p>'.$output.'</p>';
	    return $output;
	}
 
   /*-- Custom Excerpts--*/
 
function madura_themepacific_home_mag($length) {   
	    return 24;
	}
 
/*-- Multiple Page Nav--*/		

function single_split_page_links($defaults) {
	$args = array(
	'before' => '<div class="single-split-page"><p>' . __('<strong>Pages</strong>','madura'),
	'after' => '</p></div>',
	'pagelink' => '%',
	);
	$r = wp_parse_args($args, $defaults);
	return $r;
	}
 
/*===================================================================================*/
/*  Comments
/*==================================================================================*/

function themepacific_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'madura' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( 'Edit', 'madura' ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
	?>
	<li id="comment-<?php comment_ID(); ?>">
		<div <?php comment_class('comment-wrapper'); ?> >
 				<div class="comment-avatar">
					<?php
						$avatar_size = 65;
						if ( '0' != $comment->comment_parent )
							$avatar_size = 65;

						echo get_avatar( $comment, $avatar_size );?>
				</div>
				<!--comment avatar-->
				<div class="comment-meta">
					<?php	
						printf( __( '%1$s  %2$s  ', 'madura' ),
							sprintf( '<div class="author">%s</div>', get_comment_author_link() ),
							sprintf( '%4$s<a href="%1$s"><span class="time" style="border:none;">%3$s</span></a>',
								esc_url( get_comment_link( $comment->comment_ID ) ),
								get_comment_time( 'c' ),get_comment_date(),								
								sprintf( __( '<span class="time">%1$s </span>', 'madura' ),   get_comment_time() )
							)
						);
					?>

					<?php edit_comment_link( __( 'Edit', 'madura' ), '<span class="edit-link">', '</span>' ); ?>
				</div><!-- /comment-meta -->

				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'madura' ); ?></em>
					<br />
				<?php endif; ?>

 
			<div class="comment-content">
				<?php comment_text(); ?>
				<div class="reply">
					<?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( ' <span><i class="icon-reply"></i></span> Reply', 'madura' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
				</div> <!--/reply -->
			</div><!--/comment-content -->	
		</div>	<!--/Comment-wrapper -->
 			 
 	<?php
			break;
	endswitch;
} 
?>